Arch CutPlane/es: Difference between revisions

From FreeCAD Documentation
(Created page with "La herramienta Plano de corte le permite cortar un objeto Arch de acuerdo a un plano: * Puede cortar un objeto Arch con la cara seleccionada, normal u opuesta al plano frontal...")
(Updating to match new version of source page)
 
(26 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Arch CutPlane|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Cut Plane|SeeAlso=[[Arch Remove|Arch Remove]]}}

{{Docnav
|[[Arch_PipeConnector|PipeConnector]]
|[[Arch_Add|Add]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_PipeConnector.svg
|IconR=Arch_Add.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/es
|Name=Arch CutPlane
|Name/es=Arch CutPlane
|MenuLocation=Arch → Cut Plane
|Workbenches=[[Arch_Workbench/es|Arch]]
|SeeAlso=[[Arch Remove/es|Arch Remove]]
}}
</div>


<span id="Description"></span>
==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
La herramienta Plano de corte le permite cortar un objeto Arch de acuerdo a un plano:
La herramienta Plano de corte le permite cortar un objeto Arch de acuerdo a un plano:
* Puede cortar un objeto Arch con la cara seleccionada, normal u opuesta al plano frontal.
* Puede cortar un objeto Arch con la cara seleccionada, normal u opuesta al plano frontal.
* Esto agrega un componente de sustracción CutVolume al objeto Arch
* Esto agrega un componente de sustracción CutVolume al objeto Arch
</div>


[[Image:Arch CutPlane example.jpg|640px]]
[[Image:Arch_CutPlane_example.jpg|400px]]
<div class="mw-translate-fuzzy">
''En la imagen de arriba, dos Arch estructuras se cortan con el plano respectivo.''
</div>


<span id="Usage"></span>
In the above image, two Arch Structure are cut with respective plane.
<div class="mw-translate-fuzzy">
==Utilización==
</div>


<div class="mw-translate-fuzzy">
==How to use==
# Seleccione el objeto que se va a cortar, luego la cara (la cara debe ser la última que seleccionó, y debe seleccionarse en la vista 3D)
# Presione el botón {{KEY | [[Image: Arch_CutPlane.svg | 16px]] '''Plano de corte'''}}
# Elija si el objeto está cortado '''detrás''' de la cara normal o '''frente''' de la cara normal
# Haz clic en el botón Aceptar
</div>


<span id="Scripting"></span>
# Select the object to be cut, then the face (the face must be the last one you selected, and must be selected in the 3D-View)
<div class="mw-translate-fuzzy">
# Press the {{KEY|[[Image:Arch_CutPlane.svg|16px]] '''Cut Plane'''}} button
==Programación==
# Choose if the object is cut '''behind''' the normale face or '''front''' of the normal face
</div>
# Click the Ok button


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
==Scripting==

<div class="mw-translate-fuzzy">
La herramienta Plano de Corte se puede usar en [[macros/es|macros]] y desde la consola de Python mediante la siguiente función:
</div>


The CutPlane tool can by used in [[macros]] and from the python console by using the following function:
{{Code|code=
{{Code|code=
cutObj = cutComponentwithPlane(archObject, cutPlane, sideFace)
cutComponentwithPlane (archObject,face,faceSide)
}}
}}

* archObject is the object to cut
<div class="mw-translate-fuzzy">
* face is the face of an object that come the plan from
* archObject es el objeto a cortar
* faceSide is the side of the face to cut. 0 = Behind, 1 = Front
* la cara es la cara de un objeto del que proviene el plano
<languages/>
* faceSide es el lado de la cara para cortar. 0 = Detrás, 1 = Delantero
</div>

Example:

{{Code|code=
import FreeCAD, FreeCADGui, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select the Wall
main_object = FreeCADGui.Selection.getSelectionEx()[0]

# Select the face of Wall2
selection = FreeCADGui.Selection.getSelectionEx()[0]
cut_face = selection.SubObjects[0]

cutObj = Arch.cutComponentwithPlane(main_object, cut_face, 0)
FreeCAD.ActiveDocument.recompute()

Wall3 = Draft.move(Wall, FreeCAD.Vector(-4000, 0, 0), copy=True)
Wall4 = Draft.move(Wall2, FreeCAD.Vector(-4000, 0, 0), copy=True)
FreeCAD.ActiveDocument.recompute()

# Select the Wall3
main_object2 = FreeCADGui.Selection.getSelectionEx()[0]

# Select the face of Wall4
selection2 = FreeCADGui.Selection.getSelectionEx()[0]
cut_face2 = selection2.SubObjects[0]

cutObj2 = Arch.cutComponentwithPlane(main_object2, cut_face2, 1)
FreeCAD.ActiveDocument.recompute()
}}


{{Docnav
|[[Arch_PipeConnector|PipeConnector]]
|[[Arch_Add|Add]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_PipeConnector.svg
|IconR=Arch_Add.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:32, 8 January 2024

Arch CutPlane

Ubicación en el Menú
Arch → Cut Plane
Entornos de trabajo
Arch
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Arch Remove

Descripción

La herramienta Plano de corte le permite cortar un objeto Arch de acuerdo a un plano:

  • Puede cortar un objeto Arch con la cara seleccionada, normal u opuesta al plano frontal.
  • Esto agrega un componente de sustracción CutVolume al objeto Arch

En la imagen de arriba, dos Arch estructuras se cortan con el plano respectivo.

Utilización

  1. Seleccione el objeto que se va a cortar, luego la cara (la cara debe ser la última que seleccionó, y debe seleccionarse en la vista 3D)
  2. Presione el botón Plano de corte
  3. Elija si el objeto está cortado detrás de la cara normal o frente de la cara normal
  4. Haz clic en el botón Aceptar

Programación

See also: Arch API and FreeCAD Scripting Basics.

La herramienta Plano de Corte se puede usar en macros y desde la consola de Python mediante la siguiente función:

cutObj = cutComponentwithPlane(archObject, cutPlane, sideFace)
  • archObject es el objeto a cortar
  • la cara es la cara de un objeto del que proviene el plano
  • faceSide es el lado de la cara para cortar. 0 = Detrás, 1 = Delantero

Example:

import FreeCAD, FreeCADGui, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select the Wall
main_object = FreeCADGui.Selection.getSelectionEx()[0]

# Select the face of Wall2
selection = FreeCADGui.Selection.getSelectionEx()[0]
cut_face = selection.SubObjects[0]

cutObj = Arch.cutComponentwithPlane(main_object, cut_face, 0)
FreeCAD.ActiveDocument.recompute()

Wall3 = Draft.move(Wall, FreeCAD.Vector(-4000, 0, 0), copy=True)
Wall4 = Draft.move(Wall2, FreeCAD.Vector(-4000, 0, 0), copy=True)
FreeCAD.ActiveDocument.recompute()

# Select the Wall3
main_object2 = FreeCADGui.Selection.getSelectionEx()[0]

# Select the face of Wall4
selection2 = FreeCADGui.Selection.getSelectionEx()[0]
cut_face2 = selection2.SubObjects[0]

cutObj2 = Arch.cutComponentwithPlane(main_object2, cut_face2, 1)
FreeCAD.ActiveDocument.recompute()